package com.nisum.ecomorder.client;

import com.nisum.ecomorder.model.Customer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

@Component
@Slf4j
public class CustomerClient {

    @Autowired
    private RestTemplate restTemplate;

    private final String baseUrl = "http://ecom-customer/";

    public Customer getCustomerById(String id) {
        return restTemplate.getForEntity(baseUrl + "id/" + id, Customer.class).getBody();
    }

}
