package com.nisum.ecomorder.model;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Data
@TypeAlias("order_line")
@Document("orderlines")
public class OrderLine {
    @Field("id")
    @Id
    private String id;
    private int quantity;
    private String productId;
    private String productName;
    private Double price;
    private Double subTotal;
}
